package com.bankaudit.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="business_date")
public class BusinessDate {

/*	Table: business_date
	------------------------

	Column Information
	----------------------

	Field               Type         Collation          Null    Key     Default            Extra   Privileges                       Comment  
	------------------  -----------  -----------------  ------  ------  -----------------  ------  -------------------------------  ---------
	legal_entity_code   int(2)       (NULL)             NO      PRI     (NULL)                     select,insert,update,references           
	last_business_date  timestamp    (NULL)             NO              CURRENT_TIMESTAMP          select,insert,update,references           
	process_date        timestamp    (NULL)             NO              CURRENT_TIMESTAMP          select,insert,update,references           
	business_date       timestamp    (NULL)             NO              CURRENT_TIMESTAMP          select,insert,update,references           
	weekly_off          varchar(12)  latin1_swedish_ci  YES             (NULL)                     select,insert,update,references           
	eod_start_time      timestamp    (NULL)             YES             (NULL)                     select,insert,update,references           
	eod_end_time        timestamp    (NULL)             YES             (NULL)                     select,insert,update,references           
	status              varchar(20)  latin1_swedish_ci  NO              (NULL)                     select,insert,update,references           
	maker               varchar(20)  latin1_swedish_ci  NO              (NULL)                     select,insert,update,references           
	maker_timestamp     timestamp    (NULL)             NO              CURRENT_TIMESTAMP          select,insert,update,references           
	sysdate_timestamp   timestamp*/
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	       
	@Column(name="business_date")
	private Date businessDate;
	
	@Column(name="last_business_date")
	private Date lastBusinessDate;
	
	@Column(name="process_date")
	private Date processDate;
	
	@Column(name="weekly_off")
	private String weeklyOff;
	
	@Column(name="eod_start_time")
	private Date eodStartTime;
	
	@Column(name="eod_end_time")
	private Date eodEndTime;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
		
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	
	


	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the businessDate
	 */
	public Date getBusinessDate() {
		return businessDate;
	}

	/**
	 * @param businessDate the businessDate to set
	 */
	public void setBusinessDate(Date businessDate) {
		this.businessDate = businessDate;
	}

	/**
	 * @return the lastBusinessDate
	 */
	public Date getLastBusinessDate() {
		return lastBusinessDate;
	}

	/**
	 * @param lastBusinessDate the lastBusinessDate to set
	 */
	public void setLastBusinessDate(Date lastBusinessDate) {
		this.lastBusinessDate = lastBusinessDate;
	}

	/**
	 * @return the processDate
	 */
	public Date getProcessDate() {
		return processDate;
	}

	/**
	 * @param processDate the processDate to set
	 */
	public void setProcessDate(Date processDate) {
		this.processDate = processDate;
	}

	/**
	 * @return the weeklyOff
	 */
	public String getWeeklyOff() {
		return weeklyOff;
	}

	/**
	 * @param weeklyOff the weeklyOff to set
	 */
	public void setWeeklyOff(String weeklyOff) {
		this.weeklyOff = weeklyOff;
	}



	/**
	 * @return the eodStartTime
	 */
	public Date getEodStartTime() {
		return eodStartTime;
	}

	/**
	 * @param eodStartTime the eodStartTime to set
	 */
	public void setEodStartTime(Date eodStartTime) {
		this.eodStartTime = eodStartTime;
	}

	/**
	 * @return the eodEndTime
	 */
	public Date getEodEndTime() {
		return eodEndTime;
	}

	/**
	 * @param eodEndTime the eodEndTime to set
	 */
	public void setEodEndTime(Date eodEndTime) {
		this.eodEndTime = eodEndTime;
	}



	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}



	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	
}
